Bug 468258 - normal PNGs do not render correctly overlaid on the cube
normal PNGs do not render correctly overlaid on the cube
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 468900
  Show dependency treegraph
 
Reported: 2008-10-23 15:17 EDT by Bill Nottingham
Modified: 2014-03-16 23:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-28 13:05:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screencast! (336.28 KB, application/octet-stream)
2008-10-23 15:20 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2008-10-23 15:17:01 EDT
Description of problem:

If I change the cube to use /usr/share/system-logo-white.png (i.e., the same logo that plymouth uses), it doesn't render correctly. Various colors bleed over the cube.

Version-Release number of selected component (if applicable):

compiz-0.7.6-15.fc10.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. Change what graphic to put on the cube

Additional info:

Intel 965, if it matters.
Comment 1 Bill Nottingham 2008-10-23 15:20:25 EDT
Created attachment 321331 [details]
screencast!
Comment 2 Charlie Brej 2008-10-28 05:23:34 EDT
This is a feature of gdk-pixbuf-composite:

http://library.gnome.org/devel/gdk-pixbuf/2.8/gdk-pixbuf-scaling.html#gdk-pixbuf-composite

"When the destination rectangle contains parts not in the source image, the data at the edges of the source image is replicated to infinity."

This is how it knows which colour to paint the areas around the image (by simply extending the edge colours). So if you put an image with a solid green background, the whole surrounding area would be green.

Most sensible way to fix this would be to add an extra line of background pixels to system-logo-white.png.
Comment 3 Bill Nottingham 2008-10-28 11:57:50 EDT
Ray, Máirín - was this fixed in the new & improved system-logo-white?
Comment 4 Ray Strode [halfline] 2008-10-28 13:05:31 EDT
looks to be fixed from getting the eye dropper out with gimp.

Note You need to log in before you can comment on or make changes to this bug.